This repository has been archived on 2024-07-10. You can view files and clone it. You cannot open issues or pull requests or push a commit.
Files
etckeeper/X11/Xsession
T
caelebfi f767c93a7d committing changes in /etc made by "apt install nymea nymea-plugins"
Packages with configuration changes:
+at-spi2-core 2.38.0-4 armhf
+dnsmasq-base 2.85-1 armhf
+libgtk-3-common 3.24.24-4+rpt6+deb11u2 all
+libopenzwave1.6 1.6.1545+ds-2 armhf
+modemmanager 1.14.12-0.2 armhf
+network-manager 1.30.6-1+deb11u1 armhf
+nymead 1.4.1+202209231709~bullseye1 armhf
+packagekit 1.2.2-2 armhf
+ppp 2.4.9-1+1 armhf
-x11-common 1:7.7+19 all
+x11-common 1:7.7+22 all

Package changes:
+adwaita-icon-theme 3.38.0-1 all
+arping 2.21-2 armhf
+at-spi2-core 2.38.0-4 armhf
+dconf-gsettings-backend 0.38.0-2 armhf
+dconf-service 0.38.0-2 armhf
+dnsmasq-base 2.85-1 armhf
-fontconfig 2.13.1-2 armhf
+fontconfig 2.13.1-4.2 armhf
+glib-networking 2.66.0-2 armhf
+glib-networking-common 2.66.0-2 all
+glib-networking-services 2.66.0-2 armhf
+gsettings-desktop-schemas 3.38.0-2+rpt1 all
+gtk-update-icon-cache 3.24.24-4+rpt6+deb11u2 armhf
+hicolor-icon-theme 0.17-2 all
+iputils-tracepath 3:20210202-1 armhf
+libappstream4 0.14.4-1 armhf
+libatk-bridge2.0-0 2.38.0-1 armhf
+libatk1.0-0 2.36.0-2 armhf
+libatk1.0-data 2.36.0-2 all
+libatspi2.0-0 2.38.0-4 armhf
+libblas3 3.9.0-3 armhf
+libbluetooth3 5.55-3.1+rpt1 armhf
+libcairo-gobject2 1.16.0-5+rpt1 armhf
+libcairo2 1.16.0-5+rpt1 armhf
+libcolord2 1.4.5-3 armhf
+libdatrie1 0.2.13-1+b1 armhf
+libdconf1 0.38.0-2 armhf
+libdouble-conversion3 3.1.5-6.1 armhf
+libdrm-amdgpu1 2.4.104-1+rpi1 armhf
+libdrm-common 2.4.104-1+rpi1 all
+libdrm-nouveau2 2.4.104-1+rpi1 armhf
+libdrm-radeon1 2.4.104-1+rpi1 armhf
+libdrm2 2.4.104-1+rpi1 armhf
+libegl-mesa0 20.3.5-1+rpt4+rpi1 armhf
+libegl1 1.3.2-1 armhf
+libepoxy0 1.5.5-1 armhf
+libevdev2 1.11.0+dfsg-1+rpi1 armhf
+libffi-dev 3.3-6 armhf
+libgbm1 20.3.5-1+rpt4+rpi1 armhf
+libgdk-pixbuf-2.0-0 2.42.2+dfsg-1+deb11u1 armhf
+libgdk-pixbuf2.0-bin 2.42.2+dfsg-1+deb11u1 armhf
+libgdk-pixbuf2.0-common 2.42.2+dfsg-1+deb11u1 all
+libgl1 1.3.2-1 armhf
+libgl1-mesa-dri 20.3.5-1+rpt4+rpi1 armhf
+libglapi-mesa 20.3.5-1+rpt4+rpi1 armhf
+libgles2 1.3.2-1 armhf
+libglib2.0-bin 2.66.8-1 armhf
+libglvnd0 1.3.2-1 armhf
+libglx-mesa0 20.3.5-1+rpt4+rpi1 armhf
+libglx0 1.3.2-1 armhf
+libgstreamer1.0-0 1.18.4-2.1 armhf
+libgtk-3-0 3.24.24-4+rpt6+deb11u2 armhf
+libgtk-3-bin 3.24.24-4+rpt6+deb11u2 armhf
+libgtk-3-common 3.24.24-4+rpt6+deb11u2 all
+libgudev-1.0-0 234-1 armhf
+libhidapi-hidraw0 0.10.1+dfsg-1 armhf
+libice6 2:1.0.10-1 armhf
+libinput-bin 1.16.4-3 armhf
+libinput10 1.16.4-3 armhf
+libjansson4 2.13.1-1.1 armhf
+libjson-glib-1.0-0 1.6.2-1 armhf
+libjson-glib-1.0-common 1.6.2-1 all
+liblinear4 2.3.0+dfsg-5 armhf
+libllvm11 1:11.0.1-2+rpi1 armhf
+liblua5.3-0 5.3.3-1.1+b1 armhf
+libmbim-glib4 1.24.6-0.1 armhf
+libmbim-proxy 1.24.6-0.1 armhf
+libmd4c0 0.4.7-2 armhf
+libmm-glib0 1.14.12-0.2 armhf
+libmtdev1 1.1.6-1 armhf
+libndp0 1.6-1 armhf
+libnet1 1.1.6+dfsg-3.1 armhf
+libnm0 1.30.6-1+deb11u1 armhf
+libnymea-core 1.4.1+202209231709~bullseye1 armhf
+libnymea-gpio 1.4.1+202209231709~bullseye1 armhf
+libnymea-mqtt 1.4.1+202209231633~bullseye1 armhf
+libnymea-networkmanager 1.4.1+202209231709~bullseye1 armhf
+libnymea-remoteproxyclient 1.4.1+202209231709~bullseye1 armhf
+libnymea-zigbee1 1.4.1+202209231633~bullseye1 armhf
+libnymea1 1.4.1+202209231709~bullseye1 armhf
+libopenzwave1.6 1.6.1545+ds-2 armhf
+libpackagekit-glib2-18 1.2.2-2 armhf
+libpackagekitqt5-1 1.0.2-1 armhf
+libpango-1.0-0 1.46.2-3 armhf
+libpangocairo-1.0-0 1.46.2-3 armhf
+libpangoft2-1.0-0 1.46.2-3 armhf
+libpcap0.8 1.10.0-2 armhf
+libpcre2-16-0 10.36-2+deb11u1 armhf
+libpixman-1-0 0.40.0-1+rpt1 armhf
+libproxy1v5 0.4.17-1 armhf
+libpython2-stdlib 2.7.18-3 armhf
+libpython2.7-stdlib 2.7.18-8 armhf
+libqca-qt5-2 2.3.2-2 armhf
+libqca-qt5-2-plugins 2.3.2-2 armhf
+libqmi-glib5 1.26.10-0.1 armhf
+libqmi-proxy 1.26.10-0.1 armhf
+libqt5bluetooth5 5.15.2-2 armhf
+libqt5bluetooth5-bin 5.15.2-2 armhf
+libqt5core5a 5.15.2+dfsg-9+rpi1 armhf
+libqt5dbus5 5.15.2+dfsg-9+rpi1 armhf
+libqt5gui5 5.15.2+dfsg-9+rpi1 armhf
+libqt5network5 5.15.2+dfsg-9+rpi1 armhf
+libqt5qml5 5.15.2+dfsg-6+rpi1 armhf
+libqt5qmlmodels5 5.15.2+dfsg-6+rpi1 armhf
+libqt5qmlworkerscript5 5.15.2+dfsg-6+rpi1 armhf
+libqt5quick5 5.15.2+dfsg-6+rpi1 armhf
+libqt5serialbus5 5.15.2-2 armhf
+libqt5serialport5 5.15.2-2 armhf
+libqt5sql5 5.15.2+dfsg-9+rpi1 armhf
+libqt5sql5-sqlite 5.15.2+dfsg-9+rpi1 armhf
+libqt5svg5 5.15.2-3 armhf
+libqt5websockets5 5.15.2-2 armhf
+libqt5widgets5 5.15.2+dfsg-9+rpi1 armhf
+libqt5xml5 5.15.2+dfsg-9+rpi1 armhf
+librest-0.7-0 0.8.1-1.1 armhf
+librsvg2-2 2.50.3+dfsg-1 armhf
+librsvg2-common 2.50.3+dfsg-1 armhf
+libsm6 2:1.2.3-1 armhf
+libsocketcan2 0.0.12-1 armhf
+libsoup-gnome2.4-1 2.72.0-2 armhf
+libsoup2.4-1 2.72.0-2 armhf
+libssl-dev 1.1.1n-0+deb11u3+rpt1 armhf
+libstemmer0d 2.1.0-1 armhf
+libteamdctl0 1.31-1 armhf
+libthai-data 0.1.28-3 all
+libthai0 0.1.28-3 armhf
+libunwind8 1.3.2-2 armhf
+libvulkan1 1.2.162.0-1 armhf
+libwacom-bin 1.8-2 armhf
+libwacom-common 1.8-2 all
+libwacom2 1.8-2 armhf
+libwayland-client0 1.18.0-2~exp1.1 armhf
+libwayland-cursor0 1.18.0-2~exp1.1 armhf
+libwayland-egl1 1.18.0-2~exp1.1 armhf
+libwayland-server0 1.18.0-2~exp1.1 armhf
+libx11-xcb1 2:1.7.2-1 armhf
+libxcb-dri2-0 1.14-3 armhf
+libxcb-dri3-0 1.14-3 armhf
+libxcb-glx0 1.14-3 armhf
+libxcb-icccm4 0.4.1-1.1 armhf
+libxcb-image0 0.4.0-1+b3 armhf
+libxcb-keysyms1 0.4.0-1+b2 armhf
+libxcb-present0 1.14-3 armhf
+libxcb-randr0 1.14-3 armhf
+libxcb-render-util0 0.3.9-1+b1 armhf
+libxcb-render0 1.14-3 armhf
+libxcb-shape0 1.14-3 armhf
+libxcb-shm0 1.14-3 armhf
+libxcb-sync1 1.14-3 armhf
+libxcb-util1 0.4.0-1 armhf
+libxcb-xfixes0 1.14-3 armhf
+libxcb-xinerama0 1.14-3 armhf
+libxcb-xinput0 1.14-3 armhf
+libxcb-xkb1 1.14-3 armhf
+libxcomposite1 1:0.4.5-1 armhf
+libxcursor1 1:1.2.0-2 armhf
+libxdamage1 1:1.1.5-2 armhf
+libxfixes3 1:5.0.3-2 armhf
+libxi6 2:1.7.10-1 armhf
+libxinerama1 2:1.1.4-2 armhf
+libxkbcommon-x11-0 1.0.3-2 armhf
+libxkbcommon0 1.0.3-2 armhf
+libxrandr2 2:1.5.1-1 armhf
+libxrender1 1:0.9.10-1 armhf
+libxshmfence1 1.3-1 armhf
+libxtst6 2:1.2.3-1 armhf
+libxxf86vm1 1:1.1.4-1+b2 armhf
+libz3-4 4.8.10-1 armhf
+lua-lpeg 1.0.2-1 armhf
+mesa-vulkan-drivers 20.3.5-1+rpt4+rpi1 armhf
+modemmanager 1.14.12-0.2 armhf
+network-manager 1.30.6-1+deb11u1 armhf
+nmap 7.91+dfsg1+really7.80+dfsg1-2 armhf
+nmap-common 7.91+dfsg1+really7.80+dfsg1-2 all
+nymea 1.4.1+202209231709~bullseye1 armhf
+nymea-apikeysprovider-plugin-community 1.4.1+202209231916~bullseye1 armhf
+nymea-cli 1.4.1+202209231916~bullseye1 all
+nymea-data 1.4.1+202209231709~bullseye1 all
+nymea-plugin-anel 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-aqi 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-awattar 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-bose 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-datetime 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-daylightsensor 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-denon 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-doorbird 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-elgato 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-eq-3 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-flowercare 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-fronius 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-homeconnect 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-keba 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-kodi 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-lgsmarttv 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-lifx 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-mailnotification 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-mystrom 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-nanoleaf 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-neatobotvac 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-netatmo 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-networkdetector 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-nuki 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-openuv 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-openweathermap 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-philipshue 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-pushbullet 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-pushnotifications 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-senic 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-shelly 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-sma 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-solarlog 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-somfytahoma 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-sonos 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-tado 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-tasmota 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-telegram 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-tempo 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-texasinstruments 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-tplink 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-unifi 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-usbrelay 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-wakeonlan 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-wemo 1.4.1+202209261739~bullseye1 armhf
+nymea-plugin-yamahaavr 1.4.1+202209261739~bullseye1 armhf
+nymea-plugins 1.0.0+202203271948~bullseye1 all
+nymea-system-plugin-systemd 1.4.1+202209231916~bullseye1 armhf
+nymea-translations 1.4.1+202209231709~bullseye1 all
+nymea-update-plugin-packagekit 1.4.1+202209231916~bullseye1 armhf
+nymea-zeroconf-plugin-dnssd 1.4.1+202209231916~bullseye1 armhf
+nymea-zwave-plugin-openzwave 1.4.1+202209231916~bullseye1 armhf
+nymead 1.4.1+202209231709~bullseye1 armhf
+packagekit 1.2.2-2 armhf
+packagekit-tools 1.2.2-2 armhf
+ppp 2.4.9-1+1 armhf
+python2 2.7.18-3 armhf
+python2-minimal 2.7.18-3 armhf
+python2.7 2.7.18-8 armhf
+qml-module-qtquick2 5.15.2+dfsg-6+rpi1 armhf
+qt5-gtk-platformtheme 5.15.2+dfsg-9+rpi1 armhf
+qttranslations5-l10n 5.15.2-2 all
-x11-common 1:7.7+19 all
+x11-common 1:7.7+22 all
2022-10-10 08:41:57 +02:00

132 lines
3.8 KiB
Bash
Executable File

#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)
# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
set -e
PROGNAME=Xsession
message () {
# pretty-print messages of arbitrary length; use xmessage if it
# is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}
message_nonl () {
# pretty-print messages of arbitrary length (no trailing newline); use
# xmessage if it is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}
errormsg () {
# exit script with error
message "$*"
exit 1
}
internal_errormsg () {
# exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
# One big call to message() for the sake of xmessage; if we had two then
# the user would have dismissed the error we want reported before seeing the
# request to report it.
errormsg "$*" \
"Please report the installed version of the \"x11-common\"" \
"package and the complete text of this error message to" \
"<debian-x@lists.debian.org>."
}
# initialize variables for use by all session scripts
OPTIONFILE=/etc/X11/Xsession.options
SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources
SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors
OPTIONS="$(
if [ -r "$OPTIONFILE" ]; then
cat "$OPTIONFILE"
fi
if [ -d /etc/X11/Xsession.options.d ]; then
run-parts --list --regex '\.conf$' /etc/X11/Xsession.options.d | xargs -d '\n' cat
fi
)"
has_option() {
# Ensure that a later no-foo overrides an earlier foo
if [ "$(echo "$OPTIONS" | grep -Eo "^(no-)?$1\>" | tail -n 1)" = "$1" ]; then
return 0
else
return 1
fi
}
# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
[ ! -L "$ERRFILE" ]; then
chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
"\"$ERRFILE\"; look for session log/errors in" \
"\"$TMPDIR/xsession-$USER\"."
fi
else
errormsg "unable to create X session log/error file; aborting."
fi
exec >>"$ERRFILE" 2>&1
echo "$PROGNAME: X session started for $LOGNAME at $(date)"
# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi
# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures. We do not use touch, :, or test -w
# because they won't actually create a file with contents. We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
"with an error"
fi
rm -f "$WRITE_TEST"
# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
set +e
for SESSIONFILE in $SESSIONFILES; do
. $SESSIONFILE
done
set -e
fi
exit 0
# vim:set ai et sts=2 sw=2 tw=80: